Bug 1831366 - metal compact e2e jobs broken after terraform upi rebase
Summary: metal compact e2e jobs broken after terraform upi rebase
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.0
Assignee: Vijayanand Arungurikai
QA Contact: Etienne Simard
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-05 01:45 UTC by Scott Dodson
Modified: 2020-07-13 17:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:34:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3531 0 None closed Bug 1831366: upi/metal fix compact clusters after porting to terraform v0.12 2020-08-06 02:23:59 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:35:11 UTC

Description Scott Dodson 2020-05-05 01:45:54 UTC
After https://github.com/openshift/installer/pull/3429 the metal compact job no longer works.

Comment 3 Scott Dodson 2020-05-05 13:25:05 UTC
We can see that this fixed e2e-metal compact variant here https://testgrid.k8s.io/redhat-openshift-ocp-release-4.5-informing#release-openshift-ocp-installer-e2e-metal-compact-4.5

There's still e2e test failures but at least it's successfully installing now.

Comment 4 Etienne Simard 2020-05-05 14:07:15 UTC
Verified: with test grid at https://testgrid.k8s.io/redhat-openshift-ocp-release-4.5-informing#release-openshift-ocp-installer-e2e-metal-compact-4.5

As Scott said, the e2e-metal compact installation now works again.

This is sufficient for the verification.

Comment 5 errata-xmlrpc 2020-07-13 17:34:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.